"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.merge = void 0;
const tslib_1 = require("tslib");
const lodash_1 = tslib_1.__importDefault(require("lodash"));
function merge(...sources) {
    return sources.reduce((merged, source) => lodash_1.default.mergeWith(merged, source, customizer), {});
}
exports.merge = merge;
function customizer(objValue, srcValue) {
    if (lodash_1.default.isArray(objValue)) {
        return objValue.concat(srcValue);
    }
}
